/*
 * manhattan - rtunit-comm.h
 *
 * Communication with rtunit
 *
 * Copyright (C) 2017  Krzysztof Mazur <krzysiek@podlesie.net>
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 */

#ifndef RTUNIT_COMM_H_INCLUDED
#define RTUNIT_COMM_H_INCLUDED

int rtunit_comm_init(const char *device);
int rtunit_comm_want_out(void);
int rtunit_comm_pollin(int fd);
int rtunit_comm_pollout(int fd);
int rtunit_comm_timeout(void);

#endif
